# Interface methods for submodule: ComparisonImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ComparisonImageFilter
class ComparisonImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetValidInput(self, _arg) -> None:
		""""""
		...

	def SetTestInput(self, _arg) -> None:
		""""""
		...

	def SetVerifyInputInformation(self, _arg: bool) -> None:
		""""""
		...

	def GetVerifyInputInformation(self) -> bool:
		""""""
		...

	def VerifyInputInformationOn(self) -> None:
		""""""
		...

	def VerifyInputInformationOff(self) -> None:
		""""""
		...

	def SetToleranceRadius(self, _arg: int) -> None:
		""""""
		...

	def GetToleranceRadius(self) -> int:
		""""""
		...

	@overload
	def SetDifferenceThreshold(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetDifferenceThreshold(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetDifferenceThreshold(self) -> float:
		""""""
		...

	@overload
	def GetDifferenceThreshold(self) -> int:
		""""""
		...

	def SetIgnoreBoundaryPixels(self, _arg: bool) -> None:
		""""""
		...

	def GetIgnoreBoundaryPixels(self) -> bool:
		""""""
		...

	def IgnoreBoundaryPixelsOn(self) -> None:
		""""""
		...

	def IgnoreBoundaryPixelsOff(self) -> None:
		""""""
		...

	@overload
	def GetMinimumDifference(self) -> float:
		""""""
		...

	@overload
	def GetMinimumDifference(self) -> int:
		""""""
		...

	@overload
	def GetMaximumDifference(self) -> float:
		""""""
		...

	@overload
	def GetMaximumDifference(self) -> int:
		""""""
		...

	def GetMeanDifference(self) -> float:
		""""""
		...

	def GetTotalDifference(self) -> float:
		""""""
		...

	def GetNumberOfPixelsWithDifferences(self) -> int:
		""""""
		...

